/// <reference types="react" />
import { ILogger } from 'ts-smart-logger';
import { IConnectorConfiguration, IRouteConfiguration } from '../../configurations-definitions.interface';
import { IContainerClassEntity } from '../../entities-definitions.interface';
import { UniversalContainer } from '../base/universal.container';
import { IUniversalApplicationContainerProps } from './universal-application.interface';
export declare type RoutePredicateT = (routeConfiguration: IRouteConfiguration) => boolean;
export declare abstract class UniversalApplicationContainer<TProps extends IUniversalApplicationContainerProps> extends UniversalContainer<TProps> {
    static defaultProps: IUniversalApplicationContainerProps;
    protected static logger: ILogger;
    private extraRoutes;
    /**
     * @stable - 23.04.2018
     * @param {TProps} props
     */
    constructor(props: TProps);
    /**
     * @stable [19.05.2018]
     */
    componentDidMount(): void;
    /**
     * @stable - 23.04.2018
     * @param {Readonly<TProps extends IUniversalContainerEntity>} prevProps
     * @param {Readonly<{}>} prevState
     */
    componentDidUpdate(prevProps: Readonly<TProps>, prevState: Readonly<{}>): void;
    /**
     * @stable - 23.04.2018
     * @param {RoutePredicateT} routePredicate
     * @returns {JSX.Element[]}
     */
    protected getRoutes(routePredicate?: RoutePredicateT): JSX.Element[];
    protected lookupConnectedContainerByRoutePath(path: string): IContainerClassEntity;
    protected registerRoute(container: IContainerClassEntity, config: IConnectorConfiguration): void;
    protected registerLogoutRoute(): void;
    protected onBeforeLogout(): void;
    protected isMessageVisible(): boolean;
    protected getErrorMessage(): string;
    protected abstract buildRoute(ctor: IContainerClassEntity, connectorConfiguration: IConnectorConfiguration, routeConfiguration: IRouteConfiguration): JSX.Element;
    private buildRoutes;
}
