"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var util_1 = require("../../util");
var stack_support_1 = require("../../store/stack/stack.support");
/**
 * @stable [18.09.2018]
 * @param {string} section
 * @param {Map<string, IConnectorConfiguration>} appSections
 * @returns {string}
 */
exports.findRoutePathBySection = function (section, appSections) {
    var routePath;
    appSections.forEach(function (connectorConfiguration, section0) {
        var routeConfiguration = connectorConfiguration.routeConfiguration;
        var routeConfigurationAsObject = routeConfiguration;
        var routeConfigurationAsFunction = routeConfiguration;
        if (!util_1.isFn(routeConfigurationAsFunction) && section0 === section) {
            routePath = routeConfigurationAsObject.path;
        }
    });
    return routePath;
};
/**
 * @stable [18.09.2018]
 * @param {IStackEntity} stackEntity
 * @param {Map<string, IConnectorConfiguration>} appSections
 * @param {string} currentSection
 * @returns {Set<string>}
 */
exports.toAllDependentRoutePaths = function (stackEntity, appSections, currentSection) {
    var routePaths = new Set();
    stack_support_1.toAllDependentSections(stackEntity, currentSection).forEach(function (section) { return routePaths.add(exports.findRoutePathBySection(section, appSections)); });
    return routePaths;
};
//# sourceMappingURL=connector.support.js.map