"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var R = require("ramda");
var base_1 = require("../../base");
var form_1 = require("../../form");
var filter_form_dialog_interface_1 = require("./filter-form-dialog.interface");
var dialog_component_1 = require("../dialog.component");
var FilterFormDialogContainer = /** @class */ (function (_super) {
    __extends(FilterFormDialogContainer, _super);
    /**
     * @stable [10.03.2019]
     * @param {IFilterFormDialogContainerProps} props
     */
    function FilterFormDialogContainer(props) {
        var _this = _super.call(this, props) || this;
        _this.onAcceptFilter = _this.onAcceptFilter.bind(_this);
        _this.onClearFilter = _this.onClearFilter.bind(_this);
        return _this;
    }
    /**
     * @stable [12.03.2019]
     */
    FilterFormDialogContainer.prototype.componentWillUnmount = function () {
        this.dispatchFrameworkAction(filter_form_dialog_interface_1.FILTER_FORM_DIALOG_RESET_ACTION_TYPE);
    };
    /**
     * @stable [10.03.2019]
     * @returns {JSX.Element}
     */
    FilterFormDialogContainer.prototype.render = function () {
        var props = this.props;
        var noFilterChanges = this.noFilterChanges;
        var messages = this.settings.messages;
        return (React.createElement(dialog_component_1.Dialog, { ref: props.forwardedRef, title: this.settings.messages.filtersMessage, closeMessage: noFilterChanges ? messages.closeMessage : messages.clearAllMessage, acceptMessage: messages.applyMessage, acceptDisabled: noFilterChanges, onAccept: this.onAcceptFilter, onClose: this.onClearFilter },
            React.createElement(form_1.FormContainer, __assign({ formConfiguration: { actionsRendered: false } }, props))));
    };
    /**
     * @stable [10.03.2019]
     */
    FilterFormDialogContainer.prototype.onAcceptFilter = function () {
        this.dispatchFrameworkAction(filter_form_dialog_interface_1.FILTER_FORM_DIALOG_ACCEPT_ACTION_TYPE);
    };
    /**
     * @stable [10.03.2019]
     */
    FilterFormDialogContainer.prototype.onClearFilter = function () {
        if (!this.noFilterChanges) {
            this.dispatchFrameworkAction(filter_form_dialog_interface_1.FILTER_FORM_DIALOG_CLEAR_ACTION_TYPE);
        }
    };
    Object.defineProperty(FilterFormDialogContainer.prototype, "noFilterChanges", {
        /**
         * @stable [12.03.2019]
         * @returns {boolean}
         */
        get: function () {
            return R.isEmpty(this.props.form.changes);
        },
        enumerable: true,
        configurable: true
    });
    return FilterFormDialogContainer;
}(base_1.BaseContainer));
exports.FilterFormDialogContainer = FilterFormDialogContainer;
//# sourceMappingURL=filter-form-dialog.container.js.map