import { IEntity, ISubmitWrapper, IApiEntityWrapper } from '../../definitions.interface';
import { IBasicFormWrapperEntity, IFormWrapperEntity, IComponent, IContainer, IEditableEntity } from '../../entities-definitions.interface';
import { IContainerProps } from '../../props-definitions.interface';
import { IFormConfigurationEntity } from '../../configurations-definitions.interface';
import { IFormConfigurationWrapperEntity, IApiEntity } from '../../definition';
/**
 * @stable [29.05.2018]
 */
export interface IFormProps extends IFormConfigurationEntity, IFormWrapperEntity {
}
/**
 * @stable [29.05.2018]
 */
export interface IFormContainerProps<TEntity = IEntity> extends IContainerProps, IBasicFormWrapperEntity<TEntity>, IFormConfigurationWrapperEntity {
}
export interface IForm extends IComponent<IFormProps, {}>, IApiEntityWrapper<IApiEntity>, ISubmitWrapper<IApiEntity> {
    isFormValid?(): boolean;
}
export interface IFormContainer extends IContainer<IFormContainerProps>, ISubmitWrapper {
}
/**
 * @stable [29.05.2018]
 */
export declare const INITIAL_APPLICATION_FORM_STATE: IEditableEntity;
export declare const FORM_REF = "form";
export declare const FORM_SUBMIT_ACTION_TYPE = "form.submit";
export declare const FORM_SUBMIT_DONE_ACTION_TYPE: string;
export declare const FORM_SUBMIT_ERROR_ACTION_TYPE: string;
export declare const FORM_SUBMIT_FINISHED_ACTION_TYPE: string;
export declare const FORM_DESTROY_ACTION_TYPE = "form.destroy";
export declare const FORM_VALID_ACTION_TYPE = "form.valid";
export declare const FORM_RESET_ACTION_TYPE = "form.reset";
export declare const FORM_CHANGE_ACTION_TYPE = "form.change";
export declare const FORM_CLEAR_ACTION_TYPE = "form.clear";
export declare const FORM_ACTIVE_VALUE_ACTION_TYPE = "form.active.value";
export declare const FORM_DEACTIVATED_VALUE_ACTION_TYPE = "form.deactivated.value";
