/// <reference types="react" />
/// <reference types="googlemaps" />
import { BaseComponent } from '../../base';
import { IGoogleMapsMarkerConfigEntity, IGoogleMapsProps, IGoogleMapsHeatMapLayerConfigEntity } from './google-maps.interface';
import { IGoogleMaps } from './google-maps.interface';
export declare class GoogleMaps extends BaseComponent<IGoogleMapsProps> implements IGoogleMaps {
    private googleMapsScriptTask;
    private openMenuTask;
    private clickEventListener;
    private dbClickEventListener;
    private map;
    private heatMapLayer;
    private x;
    private y;
    private lat;
    private lng;
    private readonly markers;
    private readonly markersDragListeners;
    /**
     * @stable [31.07.2018]
     * @param {IGoogleMapsProps} props
     */
    constructor(props: IGoogleMapsProps);
    /**
     * @stable [31.07.2018]
     */
    componentDidMount(): void;
    /**
     * @stable [31.07.2018]
     */
    componentWillUnmount(): void;
    /**
     * @stable [31.07.2018]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [31.07.2018]
     * @param {google.maps.MarkerOptions} cfg
     * @param {string} name
     * @returns {google.maps.Marker}
     */
    addMarker(cfg?: google.maps.MarkerOptions, name?: string): google.maps.Marker;
    /**
     * @stable [23.02.2019]
     * @param {IGoogleMapsMarkerConfigEntity} cfg
     */
    setMarkerState(cfg: IGoogleMapsMarkerConfigEntity): void;
    /**
     * @stable [04.03.2019]
     * @param {IGoogleMapsHeatMapLayerConfigEntity} cfg
     */
    addHeatMapLayer(cfg: IGoogleMapsHeatMapLayerConfigEntity): void;
    /**
     * @stable [31.07.2018]
     * @param {string} markerId
     * @param {google.maps.Marker} marker
     */
    private onMarkerDragEnd;
    /**
     * @stable [31.07.2018]
     * @param {IMenuItemEntity} item
     */
    private onMenuSelect;
    /**
     * @stable [03.03.2019]
     * @param {IGoogleMapsClickPayloadEntity} event
     */
    private onMapClick;
    /**
     * @stable [03.03.2019]
     * @param {IGoogleMapsClickPayloadEntity} event
     */
    private onMapDbClick;
    /**
     * @stable [31.07.2018]
     */
    private cancelGoogleMapsScriptTaskIfPending;
    /**
     * @stable [31.07.2018]
     */
    private cancelTaskIfPending;
    /**
     * @stable [31.07.2018]
     * @param {{x: number; y: number; lat: number; lng: number}} nextState
     */
    private openMenu;
    /**
     * @stable [31.07.2018]
     */
    private initGoogleMapsObjects;
    /**
     * @stable [04.03.2019]
     * @param {ILatLngEntity} latLng
     * @param {number} zoom
     */
    private refreshMap;
    /**
     * @stable [31.07.2018]
     * @returns {IMenu}
     */
    private readonly menu;
    /**
     * @stable [26.10.2018]
     * @returns {boolean}
     */
    private readonly haveMenuOptions;
    /**
     * @stable [04.03.2019]
     * @returns {IGoogleMapsSettings}
     */
    private readonly mapsSettings;
}
