"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../../util");
var definitions_interface_1 = require("../../../definitions.interface");
var list_1 = require("../../list");
var base_1 = require("../../base");
var ListItem = /** @class */ (function (_super) {
    __extends(ListItem, _super);
    function ListItem() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.initialProps = {
            ref: 'self',
            onClick: _this.onActionClick.bind(_this),
        };
        return _this;
    }
    ListItem.prototype.render = function () {
        var _this = this;
        var props = this.props;
        var defaultProps = __assign({}, this.initialProps, { className: util_1.toClassName('rac-list-item', props.selected ? "rac-list-item-selected " + definitions_interface_1.UNIVERSAL_SELECTED_ELEMENT_SELECTOR : 'rac-list-item-unselected', props.className, props.warning && 'rac-list-item-warning', props.toClassName && props.toClassName(props.rawData), 'rac-flex', 'rac-flex-row', 'rac-flex-align-items-center') });
        return props.renderer
            ? React.cloneElement(props.renderer(props.rawData, props.index), defaultProps)
            : (React.createElement("li", __assign({}, defaultProps),
                util_1.orNull(props.icon, function () { return (React.createElement(list_1.ListItemGraphic, null, _this.uiFactory.makeIcon(props.icon))); }),
                React.createElement(list_1.ListItemText, null, props.tpl
                    ? props.tpl(props.rawData)
                    : props.children)));
    };
    ListItem.prototype.onActionClick = function (event) {
        this.stopEvent(event);
        var props = this.props;
        if (props.onClick) {
            props.onClick(props.rawData);
        }
    };
    return ListItem;
}(base_1.BaseComponent));
exports.ListItem = ListItem;
//# sourceMappingURL=list-item.component.js.map