"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var list_interface_1 = require("./list.interface");
var universal_container_1 = require("../base/universal.container");
var UniversalBaseListContainer = /** @class */ (function (_super) {
    __extends(UniversalBaseListContainer, _super);
    /**
     * @stable [09.06.2018]
     * @param {TProps} props
     */
    function UniversalBaseListContainer(props) {
        var _this = _super.call(this, props) || this;
        _this.onSelect = _this.onSelect.bind(_this);
        _this.onCreate = _this.onCreate.bind(_this);
        _this.onChange = _this.onChange.bind(_this);
        return _this;
    }
    /**
     * @stable [31.08.2018]
     */
    UniversalBaseListContainer.prototype.componentWillUnmount = function () {
        this.dispatchFrameworkAction(list_interface_1.LIST_CANCEL_LOAD_ACTION_TYPE);
    };
    /**
     * @stable - 05.04.2018
     * @param {IFieldChangeEntity} payload
     */
    UniversalBaseListContainer.prototype.onChange = function (payload) {
        this.dispatch(list_interface_1.LIST_CHANGE_ACTION_TYPE, payload);
    };
    /**
     * @stable [05.06.2018]
     * @returns {TComponentProps}
     */
    UniversalBaseListContainer.prototype.getComponentProps = function () {
        return __assign({ onChange: this.onChange, onSelect: this.onSelect, onCreate: this.onCreate }, this.props.list);
    };
    /**
     * @stable [05.05.2018]
     */
    UniversalBaseListContainer.prototype.onCreate = function () {
        this.dispatchFrameworkAction(list_interface_1.LIST_CREATE_ACTION_TYPE);
    };
    /**
     * @stable [05.05.2018]
     * @param {IEntity} entity
     */
    UniversalBaseListContainer.prototype.onSelect = function (entity) {
        this.dispatchFrameworkAction(list_interface_1.LIST_SELECT_ACTION_TYPE, { selected: entity });
    };
    return UniversalBaseListContainer;
}(universal_container_1.UniversalContainer));
exports.UniversalBaseListContainer = UniversalBaseListContainer;
//# sourceMappingURL=universal-base-list.container.js.map