import { IUniversalComponentPlugin, IComponent, INativeMaterialComponent, INativeMaterialAdapter } from '../../../entities-definitions.interface';
import { INativeMaterialComponentFactory } from '../../material';
import { TranslatorT } from '../../../translation';
export declare class MaterialPlugin<TComponent extends IComponent, TNativeMaterialComponent extends INativeMaterialComponent = INativeMaterialComponent> implements IUniversalComponentPlugin {
    protected component: TComponent;
    private mdcFactory;
    protected mdc: TNativeMaterialComponent;
    constructor(component: TComponent, mdcFactory: INativeMaterialComponentFactory<TNativeMaterialComponent>);
    /**
     * @stable [31.08.2018]
     */
    componentDidMount(): void;
    /**
     * @stable [05.05.2018]
     */
    componentWillUnmount(): void;
    /**
     * @stable [15.08.2018]
     */
    protected readonly adapter: INativeMaterialAdapter;
    /**
     * @stable [22.08.2018]
     * @returns {TranslatorT}
     */
    protected readonly t: TranslatorT;
}
