/// <reference types="react" />
import { IContainerProps } from '../../props-definitions.interface';
import { IActionsWrapper, IOnFilterClickWrapper, IOnRefreshClickWrapper, IFlexWrapper, IRightSlotWrapper, ILeftSlotWrapper, IActionsDisabledWrapper } from '../../definitions.interface';
import { IGenericFlexLayoutEntity } from '../../definition';
/**
 * @stable [11.03.2019]
 */
export declare enum ToolbarToolsEnum {
    FILTER = 0,
    REFRESH = 1
}
/**
 * @stable [11.03.2019]
 */
export interface IToolbarToolsContainerProps extends IContainerProps, IActionsDisabledWrapper, ILeftSlotWrapper<JSX.Element>, IRightSlotWrapper<JSX.Element>, IFlexWrapper<IGenericFlexLayoutEntity>, IOnFilterClickWrapper<() => void>, IOnRefreshClickWrapper<() => void>, IActionsWrapper<ToolbarToolsEnum[]> {
}
/**
 * @stable [10.03.2019]
 */
export declare const TOOLBAR_TOOLS_FILTER_ACTION_TYPE = "toolbar.tools.filter";
export declare const TOOLBAR_TOOLS_REFRESH_ACTION_TYPE = "toolbar.tools.refresh";
