"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var universal_container_1 = require("../../base/universal.container");
var filter_interface_1 = require("../../filter/filter.interface");
var toolbar_interface_1 = require("../toolbar.interface");
var UniversalSearchToolbarContainer = /** @class */ (function (_super) {
    __extends(UniversalSearchToolbarContainer, _super);
    /**
     * @stable [18.05.2018]
     * @param {TProps} props
     */
    function UniversalSearchToolbarContainer(props) {
        var _this = _super.call(this, props) || this;
        _this.onApply = _this.onApply.bind(_this);
        _this.onRefresh = _this.onRefresh.bind(_this);
        _this.onActivate = _this.onActivate.bind(_this);
        _this.onDeactivate = _this.onDeactivate.bind(_this);
        _this.onActionClick = _this.onActionClick.bind(_this);
        _this.onOpen = _this.onOpen.bind(_this);
        _this.onChange = _this.onChange.bind(_this);
        return _this;
    }
    /**
     * @stable [18.05.2018]
     * @returns {IUniversalSearchToolbarProps}
     */
    UniversalSearchToolbarContainer.prototype.getComponentProps = function () {
        var props = this.props;
        return __assign({ onApply: this.onApply, onRefresh: this.onRefresh, onActionClick: this.onActionClick, onActivate: this.onActivate, onDeactivate: this.onDeactivate, onChange: this.onChange, onOpen: this.onOpen }, props.filter, props.filterConfiguration);
    };
    /**
     * @stable [18.05.2018]
     */
    UniversalSearchToolbarContainer.prototype.onApply = function () {
        this.dispatch(filter_interface_1.FILTER_APPLY_ACTION_TYPE);
    };
    /**
     * @stable [18.05.2018]
     */
    UniversalSearchToolbarContainer.prototype.onOpen = function () {
        this.dispatch(filter_interface_1.FILTER_OPEN_ACTION_TYPE);
    };
    /**
     * @stable [18.05.2018]
     */
    UniversalSearchToolbarContainer.prototype.onActivate = function () {
        this.dispatch(filter_interface_1.FILTER_ACTIVATE_ACTION_TYPE);
    };
    /**
     * @stable [18.05.2018]
     */
    UniversalSearchToolbarContainer.prototype.onDeactivate = function () {
        this.dispatch(filter_interface_1.FILTER_DEACTIVATE_ACTION_TYPE);
    };
    /**
     * @stable [18.05.2018]
     * @param {string} query
     */
    UniversalSearchToolbarContainer.prototype.onChange = function (query) {
        this.dispatch(filter_interface_1.FILTER_CHANGE_ACTION_TYPE, { query: query });
    };
    /**
     * @stable [26.08.2018]
     */
    UniversalSearchToolbarContainer.prototype.onRefresh = function () {
        this.dispatchFrameworkAction(filter_interface_1.FILTER_REFRESH_ACTION_TYPE);
    };
    /**
     * @stable [13.09.2018]
     */
    UniversalSearchToolbarContainer.prototype.onActionClick = function (action) {
        var payloadWrapper = { payload: action };
        this.dispatchFrameworkAction(toolbar_interface_1.TOOLBAR_CUSTOM_ACTION_ACTION_TYPE, payloadWrapper);
    };
    return UniversalSearchToolbarContainer;
}(universal_container_1.UniversalContainer));
exports.UniversalSearchToolbarContainer = UniversalSearchToolbarContainer;
//# sourceMappingURL=universal-search-toolbar.container.js.map