import { ITransport } from './transport.interface';
import { IEntity } from '../definitions.interface';
import { IEditableApiEntity } from '../definition';
import { ISettings } from '../settings';
import { IKeyValue } from '../definitions.interface';
export declare class BaseTransport {
    protected transport: ITransport;
    protected settings: ISettings;
    /**
     * @stable [11.09.2018]
     * @param {ITransportRequestPayloadDataEntity} params
     */
    protected downloadAnchoredFile(params: IKeyValue): void;
    /**
     * @stable [26.02.2019]
     * @param {IEditableApiEntity<TEntity extends IEntity>} entity
     * @returns {Promise<TEntity extends IEntity>}
     */
    protected doSaveEntity<TEntity extends IEntity, TResult = TEntity>(entity: IEditableApiEntity<TEntity>): Promise<TResult>;
}
